# mapping

A mapping is used by the Identity service’s OS-FEDERATION extension. It is used by federation protocols and identity providers. Applicable to Identity v3.

## mapping create

Create new mapping

    openstack mapping create
        --rules <filename>
        [--schema-version <schema_version>]
        <name>

--rules <filename>

  Filename that contains a set of mapping rules (required)

--schema-version <schema_version>

  The federated attribute mapping schema version. The default value on the client side is ‘None’; however, that will lead the backend to set the default according to ‘attribute_mapping_default_schema_version’ option.

name

  New mapping name (must be unique)

## mapping delete

Delete mapping(s)

    openstack mapping delete <mapping> [<mapping> ...]

mapping

  Mapping(s) to delete

## mapping list

List mappings

    openstack mapping list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

## mapping set

Set mapping properties

    openstack mapping set
        [--rules <filename>]
        [--schema-version <schema_version>]
        <name>

--rules <filename>

  Filename that contains a new set of mapping rules

--schema-version <schema_version>

  The federated attribute mapping schema version. The default value on the client side is ‘None’; however, that will lead the backend to set the default according to ‘attribute_mapping_default_schema_version’ option.

name

  Mapping to modify

## mapping show

Display mapping details

    openstack mapping show <mapping>

mapping

  Mapping to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.